Bulk Update MCP Integration Workspaces
curl --request PUT \
--url https://api.portkey.ai/v1/mcp-integrations/{mcpIntegrationId}/workspaces \
--header 'Content-Type: application/json' \
--header 'x-portkey-api-key: <api-key>' \
--data '
{
"workspaces": [
{
"id": "<string>",
"enabled": true
}
],
"global_workspace_access": {
"enabled": true
},
"override_existing_workspace_access": false
}
'{}Update MCP Integration Workspaces
PUT
/
mcp-integrations
/
{mcpIntegrationId}
/
workspaces
Bulk Update MCP Integration Workspaces
curl --request PUT \
--url https://api.portkey.ai/v1/mcp-integrations/{mcpIntegrationId}/workspaces \
--header 'Content-Type: application/json' \
--header 'x-portkey-api-key: <api-key>' \
--data '
{
"workspaces": [
{
"id": "<string>",
"enabled": true
}
],
"global_workspace_access": {
"enabled": true
},
"override_existing_workspace_access": false
}
'{}Documentation Index
Fetch the complete documentation index at: https://portkey-docs-feat-byteplus-provider.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
MCP Integration ID (UUID) or slug
Body
application/json
Response
200 - application/json
OK
The response is of type object.
Last modified on May 24, 2026
Was this page helpful?
⌘I

